Skip to main content
`Ctrl`+`K`

# TSGetTrajectory

Gets the trajectory from a `TS` if it exists

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetTrajectory(TS ts, TSTrajectory *tr)

Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameter

- tr - the `TSTrajectory` object, if it exists

## Note

This routine should be called after all `TS` options have been set

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSTrajectory`, `TSAdjointSolve()`, `TSTrajectoryCreate()`

## Level

advanced

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex41.c
src/ts/tutorials/extchem.c
src/ts/tutorials/ex40.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages